> ## Documentation Index
> Fetch the complete documentation index at: https://smithery.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List triggers

> List trigger types exposed by a connection.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/smithery/openapi.documented.yml get /connect/{namespace}/{connectionId}/.triggers
openapi: 3.1.0
info:
  title: Smithery Platform API
  description: >-
    API for the Smithery platform — discover, deploy, and manage MCP (Model
    Context Protocol) servers. Provides endpoints for browsing the server
    registry, managing deployments, creating scoped access tokens, and
    connecting to MCP servers.
  version: 1.0.0
servers:
  - url: https://api.smithery.ai
security:
  - bearerAuth: []
tags:
  - name: servers
    description: >-
      Browse the MCP server registry, manage server configuration, and handle
      deployments
  - name: skills
    description: Discover and search reusable prompt-based skills for MCP servers
  - name: tools
    description: Search for MCP tools across all registered servers
paths:
  /connect/{namespace}/{connectionId}/.triggers:
    get:
      tags:
        - connect
      summary: List triggers
      description: List trigger types exposed by a connection.
      operationId: getSmithery.run:namespace:connectionId.triggers
      parameters:
        - schema:
            type: string
          in: path
          name: namespace
          required: true
        - schema:
            type: string
          in: path
          name: connectionId
          required: true
      responses:
        '200':
          description: Trigger definitions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TriggerDefinitionList'
        '404':
          description: Connection not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    TriggerDefinitionList:
      type: array
      items:
        $ref: '#/components/schemas/TriggerDefinition'
    Error:
      type: object
      properties:
        error:
          type: string
          example: not_found
        message:
          type: string
          example: Resource not found
      required:
        - error
        - message
      additionalProperties: false
    TriggerDefinition:
      type: object
      properties:
        name:
          type: string
          description: Trigger name exposed by the MCP server
          example: page.updated
        description:
          type: string
        delivery:
          type: array
          items:
            type: string
          description: Supported delivery modes
          example:
            - webhook
        inputSchema:
          $ref: '#/components/schemas/LooseObject'
          description: JSON Schema for the params required to create the trigger
        payloadSchema:
          $ref: '#/components/schemas/LooseObject'
          description: JSON Schema for the event payload delivered by the trigger
      required:
        - name
        - delivery
      additionalProperties: false
    LooseObject:
      type: object
      propertyNames:
        type: string
      additionalProperties:
        x-stainless-any: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Smithery API key as Bearer token

````